Subject: Re: bug#34580: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Sat, 12 Oct 2019 07:09:51 -0500

Well, now that I actually test it - yes.  But I said it had not because the 'herd status ssh-daemon' message indicated that it isn't running:

root@janus ~# herd status ssh-daemon
Status of ssh-daemon:
  It is stopped.
  It is enabled.
  Provides (ssh-daemon).
  Requires (syslogd loopback).
  Conflicts with ().
  Will be respawned.

Is this maybe a side effect of strace being involved?

--
Brant Gardner

On Fri, Oct 11, 2019, at 05:14, Ludovic Courtès wrote:
> Hi Brant,
> 
> Thanks for sending the log!
> 
> "Brant Gardner" <[email-masked]> skribis:
> 
> > 284   09:31:59 socket(AF_UNIX, SOCK_DGRAM|SOCK_CLOEXEC, 0) = 4 <0.000013>
> > 284   09:31:59 connect(4, {sa_family=AF_UNIX, sun_path="/dev/log"}, 110) = 0 <0.000014>
> > 284   09:31:59 sendto(4, "<38>Oct  9 09:31:59 sshd[284]: Server listening on 0.0.0.0 port 22.", 67, MSG_NOSIGNAL, NULL, 0) = 67 <3.103979>
> > 284   09:32:02 close(4)                 = 0 <0.000016>
> > 284   09:32:02 socket(AF_INET6, SOCK_STREAM, IPPROTO_TCP) = 4 <0.000024>
> > 284   09:32:02 fcntl(4, F_GETFL)        = 0x2 (flags O_RDWR) <0.000011>
> > 284   09:32:02 fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK) = 0 <0.000011>
> > 284   09:32:02 fcntl(4, F_SETFD, FD_CLOEXEC) = 0 <0.000011>
> > 284   09:32:02 setsockopt(4, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0 <0.000011>
> > 284   09:32:02 setsockopt(4, SOL_IPV6, IPV6_V6ONLY, [1], 4) = 0 <0.000011>
> > 284   09:32:02 bind(4, {sa_family=AF_INET6, sin6_port=htons(22), sin6_flowinfo=htonl(0), inet_pton(AF_INET6, "::", &sin6_addr), sin6_scope_id=0}, 28) = 0 <0.000014>
> > 284   09:32:02 listen(4, 128)           = 0 <0.000012>
> > 284   09:32:02 getpid()                 = 284 <0.000011>
> > 284   09:32:02 socket(AF_UNIX, SOCK_DGRAM|SOCK_CLOEXEC, 0) = 5 <0.000013>
> > 284   09:32:02 connect(5, {sa_family=AF_UNIX, sun_path="/dev/log"}, 110) = 0 <0.000014>
> > 284   09:32:02 sendto(5, "<38>Oct  9 09:32:02 sshd[284]: Server listening on :: port 22.", 62, MSG_NOSIGNAL, NULL, 0) = 62 <4.195488>
> > 284   09:32:07 close(5)                 = 0 <0.000019>
> 
> I’m under the impression that sshd successfully start this time, didn’t it?
> 
> Thanks,
> Ludo’.
>